Contents

# Tan Function

Taajantii kofaa murteessi.kofni raadiyaaniin ibsama.

Using the angle Alpha, the Tan function calculates the ratio of the length of the side opposite the angle to the length of the side adjacent to the angle in a right-angled triangle.

Tan(Alpha) = side opposite the angle/side adjacent to angle

### Syntax:

    Tan (Number As Double) As Double

### Return type:

Double

### Parameters:

Lakkofsa: Himannoon lakkoofsa kamuu Taanjantiif shallaguu barbaadde.

To convert degrees to radians, multiply by Pi/180. To convert radians to degrees, multiply by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi is approximately 3.141593.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

    REM Fakkeenya kana keessaatti, aseentuun rog-sadee sirrii armaan gadiif ni danda'ama.
    REM Rogni faallaa kofaa fi kofni(diigriin) dheerina roga walcinaa kofa shallaguuf.
    Sub ExampleTangens
    REM Pi = 3.1415926 is a pre-defined variable
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Enter the length of the side opposite the angle: ","opposite")
        dAlpha = InputBox("Enter the Alpha angle (in degrees): ","Alpha")
        Print "the length of the side adjacent the angle is"; (d1 / tan (dAlpha * Pi / 180))
    End Sub

Matadureewwan Walfakkatan

Atn Function

Cos Function

Sin Function